Bug 1410228 - dnf remove anaconda may break my system
Summary: dnf remove anaconda may break my system
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 20:17 UTC by Rolf Fokkens
Modified: 2020-02-12 06:31 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:18:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Rolf Fokkens 2017-01-04 20:17:19 UTC
Description of problem:

My Fedora installation is based on a Fedora Live DVD, that's why anaconda is installed. For some reason (actually anaconda's requirement for chony) I want to remove anaconda from the system. If I do so, the packages that were installed as dependencies are removed as well (unless I change clean_requirements_on_remove), this includes bcache-tools.

bcache-tools however is used independently (but not installed independently) of anaconda, and removal will break my system.

Although dnf behaves as intended (technically) the effect of removing anaconda is somewhat counter intuitively. I'm not sure if reporting this as dnf bug as appropriate, it may be a "Live DVD" issue, or an anaconda issue.

I assume there are other potential scenario's not involving bcache-tools as well, so the issue may be more generic.

Version-Release number of selected component (if applicable):
anaconda-25.20.9-1.fc25.x86_64
dnf-1.1.10-4.fc25.noarch

How reproducible:
100%

Steps to Reproduce:
1. Start a Live DVD
2. In a shell configure storage based on bcache
3. Start anacononda and install Fedora on the configured storage
4. Boot newly installed system
5. do dnf remove anaconda
6. update the kernel
7. try to reboot, en see it fail

Actual results:
remove anaconda, update kernel, failing reboot

Expected results:
remove anaconda, update kernel, succesful reboot


Additional info:

Comment 1 Honza Silhan 2017-01-09 15:07:36 UTC
Thanks for the report. Let's investigate whether dnfdb contains information about installed packages.
* Can you please try `dnf remove anaconda` after step 2 and share whether the behavior is as expected?
* Can you after step 2 post the output of `cat /var/lib/dnf/yumdb/b/<somehash>-bcache-tools-<version>.<release>.<arch>/reason`?
* what are the other packages going to be removed in step 5?

Comment 2 Rolf Fokkens 2017-01-09 21:58:02 UTC
First of all the packages to be removed in step 5. I followed all the steps in a VM (except actually using bcache, but the result is the same) and do the following (note the packages that are about te be removed from the system):

[root@localhost ~]# dnf erase anaconda
Dependencies resolved.
==============================================================================================================================================================================================================================================
 Package                                                             Arch                                         Version                                                               Repository                                       Size
==============================================================================================================================================================================================================================================
Removing:
 NetworkManager-team                                                 x86_64                                       1:1.4.2-1.fc25                                                        @anaconda                                        48 k
 anaconda                                                            x86_64                                       25.20.8-1.fc25                                                        @anaconda                                         0  
 anaconda-core                                                       x86_64                                       25.20.8-1.fc25                                                        @anaconda                                       8.7 M
 anaconda-gui                                                        x86_64                                       25.20.8-1.fc25                                                        @anaconda                                       1.9 M
 anaconda-tui                                                        x86_64                                       25.20.8-1.fc25                                                        @anaconda                                       576 k
 anaconda-user-help                                                  noarch                                       22.4-4.fc24                                                           @anaconda                                       152 k
 anaconda-widgets                                                    x86_64                                       25.20.8-1.fc25                                                        @anaconda                                        93 k
 bcache-tools                                                        x86_64                                       1.0.8-6.fc25                                                          @anaconda                                        85 k
 createrepo_c                                                        x86_64                                       0.10.0-6.fc25                                                         @anaconda                                       150 k
 createrepo_c-libs                                                   x86_64                                       0.10.0-6.fc25                                                         @anaconda                                       207 k
 drpm                                                                x86_64                                       0.3.0-3.fc25                                                          @anaconda                                       142 k
 glade-libs                                                          x86_64                                       3.20.0-1.fc25                                                         @anaconda                                       1.9 M
 isomd5sum                                                           x86_64                                       1:1.1.0-3.fc25                                                        @anaconda                                        53 k
 kexec-tools-anaconda-addon                                          x86_64                                       2.0.13-7.fc25                                                         @anaconda                                       131 k
 keybinder3                                                          x86_64                                       0.3.0-6.fc24                                                          @anaconda                                        23 k
 langtable                                                           noarch                                       0.0.36-2.fc25                                                         @anaconda                                       120 k
 langtable-data                                                      noarch                                       0.0.36-2.fc25                                                         @anaconda                                       633 k
 langtable-python3                                                   noarch                                       0.0.36-2.fc25                                                         @anaconda                                       180 k
 libblockdev                                                         x86_64                                       1.9-8.fc25                                                            @anaconda                                       204 k
 libblockdev-btrfs                                                   x86_64                                       1.9-8.fc25                                                            @anaconda                                        19 k
 libblockdev-crypto                                                  x86_64                                       1.9-8.fc25                                                            @anaconda                                        23 k
 libblockdev-dm                                                      x86_64                                       1.9-8.fc25                                                            @anaconda                                        15 k
 libblockdev-fs                                                      x86_64                                       1.9-8.fc25                                                            @anaconda                                        19 k
 libblockdev-kbd                                                     x86_64                                       1.9-8.fc25                                                            @anaconda                                        27 k
 libblockdev-loop                                                    x86_64                                       1.9-8.fc25                                                            @anaconda                                        11 k
 libblockdev-lvm                                                     x86_64                                       1.9-8.fc25                                                            @anaconda                                        35 k
 libblockdev-mdraid                                                  x86_64                                       1.9-8.fc25                                                            @anaconda                                        23 k
 libblockdev-mpath                                                   x86_64                                       1.9-8.fc25                                                            @anaconda                                        15 k
 libblockdev-plugins-all                                             x86_64                                       1.9-8.fc25                                                            @anaconda                                         0  
 libblockdev-swap                                                    x86_64                                       1.9-8.fc25                                                            @anaconda                                        11 k
 libbytesize                                                         x86_64                                       0.7-3.fc25                                                            @anaconda                                        92 k
 libreport-anaconda                                                  x86_64                                       2.8.0-1.fc25                                                          @anaconda                                        17 k
 libtimezonemap                                                      x86_64                                       0.4.5-4.fc25                                                          @anaconda                                       6.7 M
 python3-blivet                                                      noarch                                       1:2.1.6-4.fc25                                                        @anaconda                                       4.5 M
 python3-blockdev                                                    x86_64                                       1.9-8.fc25                                                            @anaconda                                        59 k
 python3-bytesize                                                    x86_64                                       0.7-3.fc25                                                            @anaconda                                        60 k
 python3-coverage                                                    x86_64                                       4.2-1.fc25                                                            @anaconda                                       1.0 M
 python3-iscsi-initiator-utils                                       x86_64                                       6.2.0.873-34.git4c1f2d9.fc25                                          @anaconda                                        21 k
 python3-kickstart                                                   noarch                                       2.32-1.fc25                                                           @anaconda                                       2.1 M
 python3-meh                                                         noarch                                       0.44-2.fc25                                                           @anaconda                                       241 k
 python3-meh-gui                                                     noarch                                       0.44-2.fc25                                                           @anaconda                                        18 k
 python3-ntplib                                                      noarch                                       0.3.3-4.fc25                                                          @anaconda                                        40 k
 python3-ordered-set                                                 noarch                                       2.0.0-4.fc25                                                          @anaconda                                        22 k
 python3-pid                                                         noarch                                       2.0.1-5.fc25                                                          @anaconda                                        39 k
 python3-pwquality                                                   x86_64                                       1.3.0-6.fc25                                                          @anaconda                                        20 k
 python3-pyparted                                                    x86_64                                       1:3.10.7-4.fc25                                                       @anaconda                                       441 k
 python3-pytz                                                        noarch                                       2016.6.1-1.fc25                                                       @anaconda                                       201 k
 python3-pyudev                                                      noarch                                       0.21.0-1.fc25                                                         @anaconda                                       453 k
 python3-requests-file                                               noarch                                       1.4-4.fc25                                                            @anaconda                                        12 k
 python3-requests-ftp                                                noarch                                       0.3.1-4.fc25                                                          @anaconda                                        45 k
 python3-wrapt                                                       x86_64                                       1.10.8-2.fc25                                                         @anaconda                                       188 k
 tigervnc-license                                                    noarch                                       1.7.0-3.fc25                                                          @anaconda                                        18 k
 tigervnc-server-minimal                                             x86_64                                       1.7.0-3.fc25                                                          @anaconda                                       2.6 M
 volume_key-libs                                                     x86_64                                       0.3.9-10.fc25                                                         @anaconda                                       685 k

Transaction Summary
==============================================================================================================================================================================================================================================
Remove  54 Packages

Installed size: 35 M
Is this ok [y/N]:

Comment 3 Rolf Fokkens 2017-01-09 21:59:38 UTC
And this is perfectly normal dnf functionality: it removes all packages that have been installed resulting as dependencies of anaconda. But note how bcache-tools is removed.

Comment 4 Rolf Fokkens 2017-01-09 22:28:23 UTC
I restarted the VM with a vitual HDD and a virtual SSD, and configured storage based on bcache (step 2):

[root@localhost-live ~]# make-bcache -C /dev/vdb1
UUID:			38570df4-4e47-4e03-beb3-ef7ada731b2e
Set UUID:		7d6d8b9a-ee2f-4ba6-81c3-caa5d3f512f8
version:		0
nbuckets:		20477
block_size:		1
bucket_size:		1024
nr_in_set:		1
nr_this_dev:		0
first_bucket:		1
[root@localhost-live ~]# make-bcache -B /dev/vda3
UUID:			de3e9a9a-a552-4da7-bc65-20e582dfee42
Set UUID:		ed2daaf8-b710-41e9-875d-8df6bbdadd5c
version:		1
block_size:		1
data_offset:		16
[root@localhost-live ~]# echo 7d6d8b9a-ee2f-4ba6-81c3-caa5d3f512f8 > /sys/block/bcache0/bcache/attach 
[root@localhost-live ~]# bcache-status 
--- bcache ---
UUID                        7d6d8b9a-ee2f-4ba6-81c3-caa5d3f512f8
Block Size                  512 B
Bucket Size                 512.00 KiB
Congested?                  False
Read Congestion             2.0ms
Write Congestion            20.0ms
Total Cache Size            10 GiB
Total Cache Used            102.4 MiB	(1%)
Total Cache Unused          10 GiB	(99%)
Evictable Cache             10 GiB	(99%)
Replacement Policy          [lru] fifo random
Cache Mode                  [writethrough] writeback writearound none
Total Hits                  281	(67%)
Total Misses                136
Total Bypass Hits           43	(100%)
Total Bypass Misses         0
Total Bypassed              1.8 MiB
[root@localhost-live ~]# pvdisplay 
  --- Physical volume ---
  PV Name               /dev/bcache0
  VG Name               fedora
  PV Size               16.51 GiB / not usable 2.99 MiB
  Allocatable           yes 
  PE Size               4.00 MiB
  Total PE              4226
  Free PE               1154
  Allocated PE          3072
  PV UUID               MO5foa-CqLC-Kz8v-xiof-iu8Z-zs1I-McNCIH
   
[root@localhost-live ~]# lvdisplay 
  --- Logical volume ---
  LV Path                /dev/fedora/root
  LV Name                root
  VG Name                fedora
  LV UUID                ke38f6-Uizq-nNmG-NzR4-IihR-iRzl-S1gQ1n
  LV Write Access        read/write
  LV Creation host, time localhost-live, 2017-01-09 17:22:40 -0500
  LV Status              available
  # open                 0
  LV Size                10.00 GiB
  Current LE             2560
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:2
   
  --- Logical volume ---
  LV Path                /dev/fedora/swap
  LV Name                swap
  VG Name                fedora
  LV UUID                PecFKi-Y8ky-JfJc-Itfj-0jG1-6fre-3LQQSE
  LV Write Access        read/write
  LV Creation host, time localhost-live, 2017-01-09 17:23:05 -0500
  LV Status              available
  # open                 0
  LV Size                2.00 GiB
  Current LE             512
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:3
   
[root@localhost-live ~]# dnf erase anaconda
Dependencies resolved.
==============================================================================================================================================================================================================================================
 Package                                                             Arch                                         Version                                                               Repository                                       Size
==============================================================================================================================================================================================================================================
Removing:
 NetworkManager-team                                                 x86_64                                       1:1.4.2-1.fc25                                                        @anaconda                                        48 k
 anaconda                                                            x86_64                                       25.20.8-1.fc25                                                        @anaconda                                         0  
 anaconda-core                                                       x86_64                                       25.20.8-1.fc25                                                        @anaconda                                       8.7 M
 anaconda-gui                                                        x86_64                                       25.20.8-1.fc25                                                        @anaconda                                       1.9 M
 anaconda-tui                                                        x86_64                                       25.20.8-1.fc25                                                        @anaconda                                       576 k
 anaconda-user-help                                                  noarch                                       22.4-4.fc24                                                           @anaconda                                       152 k
 anaconda-widgets                                                    x86_64                                       25.20.8-1.fc25                                                        @anaconda                                        93 k
 bcache-tools                                                        x86_64                                       1.0.8-6.fc25                                                          @anaconda                                        85 k
 createrepo_c                                                        x86_64                                       0.10.0-6.fc25                                                         @anaconda                                       150 k
 createrepo_c-libs                                                   x86_64                                       0.10.0-6.fc25                                                         @anaconda                                       207 k
 drpm                                                                x86_64                                       0.3.0-3.fc25                                                          @anaconda                                       142 k
 glade-libs                                                          x86_64                                       3.20.0-1.fc25                                                         @anaconda                                       1.9 M
 isomd5sum                                                           x86_64                                       1:1.1.0-3.fc25                                                        @anaconda                                        53 k
 kexec-tools-anaconda-addon                                          x86_64                                       2.0.13-7.fc25                                                         @anaconda                                       131 k
 keybinder3                                                          x86_64                                       0.3.0-6.fc24                                                          @anaconda                                        23 k
 langtable                                                           noarch                                       0.0.36-2.fc25                                                         @anaconda                                       120 k
 langtable-data                                                      noarch                                       0.0.36-2.fc25                                                         @anaconda                                       633 k
 langtable-python3                                                   noarch                                       0.0.36-2.fc25                                                         @anaconda                                       180 k
 libblockdev                                                         x86_64                                       1.9-8.fc25                                                            @anaconda                                       204 k
 libblockdev-btrfs                                                   x86_64                                       1.9-8.fc25                                                            @anaconda                                        19 k
 libblockdev-crypto                                                  x86_64                                       1.9-8.fc25                                                            @anaconda                                        23 k
 libblockdev-dm                                                      x86_64                                       1.9-8.fc25                                                            @anaconda                                        15 k
 libblockdev-fs                                                      x86_64                                       1.9-8.fc25                                                            @anaconda                                        19 k
 libblockdev-kbd                                                     x86_64                                       1.9-8.fc25                                                            @anaconda                                        27 k
 libblockdev-loop                                                    x86_64                                       1.9-8.fc25                                                            @anaconda                                        11 k
 libblockdev-lvm                                                     x86_64                                       1.9-8.fc25                                                            @anaconda                                        35 k
 libblockdev-mdraid                                                  x86_64                                       1.9-8.fc25                                                            @anaconda                                        23 k
 libblockdev-mpath                                                   x86_64                                       1.9-8.fc25                                                            @anaconda                                        15 k
 libblockdev-plugins-all                                             x86_64                                       1.9-8.fc25                                                            @anaconda                                         0  
 libblockdev-swap                                                    x86_64                                       1.9-8.fc25                                                            @anaconda                                        11 k
 libbytesize                                                         x86_64                                       0.7-3.fc25                                                            @anaconda                                        92 k
 libreport-anaconda                                                  x86_64                                       2.8.0-1.fc25                                                          @anaconda                                        17 k
 libtimezonemap                                                      x86_64                                       0.4.5-4.fc25                                                          @anaconda                                       6.7 M
 python3-blivet                                                      noarch                                       1:2.1.6-4.fc25                                                        @anaconda                                       4.5 M
 python3-blockdev                                                    x86_64                                       1.9-8.fc25                                                            @anaconda                                        59 k
 python3-bytesize                                                    x86_64                                       0.7-3.fc25                                                            @anaconda                                        60 k
 python3-coverage                                                    x86_64                                       4.2-1.fc25                                                            @anaconda                                       1.0 M
 python3-iscsi-initiator-utils                                       x86_64                                       6.2.0.873-34.git4c1f2d9.fc25                                          @anaconda                                        21 k
 python3-kickstart                                                   noarch                                       2.32-1.fc25                                                           @anaconda                                       2.1 M
 python3-meh                                                         noarch                                       0.44-2.fc25                                                           @anaconda                                       241 k
 python3-meh-gui                                                     noarch                                       0.44-2.fc25                                                           @anaconda                                        18 k
 python3-ntplib                                                      noarch                                       0.3.3-4.fc25                                                          @anaconda                                        40 k
 python3-ordered-set                                                 noarch                                       2.0.0-4.fc25                                                          @anaconda                                        22 k
 python3-pid                                                         noarch                                       2.0.1-5.fc25                                                          @anaconda                                        39 k
 python3-pwquality                                                   x86_64                                       1.3.0-6.fc25                                                          @anaconda                                        20 k
 python3-pyparted                                                    x86_64                                       1:3.10.7-4.fc25                                                       @anaconda                                       441 k
 python3-pytz                                                        noarch                                       2016.6.1-1.fc25                                                       @anaconda                                       201 k
 python3-pyudev                                                      noarch                                       0.21.0-1.fc25                                                         @anaconda                                       453 k
 python3-requests-file                                               noarch                                       1.4-4.fc25                                                            @anaconda                                        12 k
 python3-requests-ftp                                                noarch                                       0.3.1-4.fc25                                                          @anaconda                                        45 k
 python3-wrapt                                                       x86_64                                       1.10.8-2.fc25                                                         @anaconda                                       188 k
 tigervnc-license                                                    noarch                                       1.7.0-3.fc25                                                          @anaconda                                        18 k
 tigervnc-server-minimal                                             x86_64                                       1.7.0-3.fc25                                                          @anaconda                                       2.6 M
 volume_key-libs                                                     x86_64                                       0.3.9-10.fc25                                                         @anaconda                                       685 k

Transaction Summary
==============================================================================================================================================================================================================================================
Remove  54 Packages

Installed size: 35 M
Is this ok [y/N]:

Comment 5 Rolf Fokkens 2017-01-09 22:29:20 UTC
Note that is tries to remove axactly the same packages. This actually makes sense; in terms of rpm dependencies there's no difference.

Comment 6 Rolf Fokkens 2017-01-09 22:31:25 UTC
So it is completely "as axpected" (knowing how dnf works) but it is also ruining my system. After these anaconda removals it will no longere boot after reinstalling a new kernel (because dracut builds an initramdisk without bcache-tools).

Comment 7 Rolf Fokkens 2017-01-09 22:33:41 UTC
The final bit:
[root@localhost-live ~]# cat /var/lib/dnf/yumdb/b/6466ea4bf2286babc67fc7b8cf20cc89e6816c96-bcache-tools-1.0.8-6.fc25-x86_64/reason 
dep
[root@localhost-live ~]#

Comment 8 Igor Gnatenko 2017-01-10 09:11:29 UTC
Anaconda must force bcache-tools be user-installed... I guess same as it does for btrfs-progs.

Comment 9 Fedora End Of Life 2017-11-16 19:37:41 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-12-12 10:15:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Rolf Fokkens 2018-09-03 11:28:33 UTC
Reopened it, this is still an issue in Fedora 28.

Comment 12 m3more 2018-11-13 19:33:00 UTC
sudo dnf remove anaconda*
Dependencies resolved.
============================================================================================================================
 Package                                     Arch               Version                         Repository             Size
============================================================================================================================
Removing:
 anaconda                                    i686               29.24.7-1.fc29                  @anaconda               0  
 anaconda-core                               i686               29.24.7-1.fc29                  @anaconda              10 M
 anaconda-gui                                i686               29.24.7-1.fc29                  @anaconda             1.4 M
 anaconda-install-env-deps                   i686               29.24.7-1.fc29                  @anaconda               0  
 anaconda-tui                                i686               29.24.7-1.fc29                  @anaconda             371 k
 anaconda-user-help                          noarch             26.1-8.fc29                     @anaconda             574 k
 anaconda-widgets                            i686               29.24.7-1.fc29                  @anaconda             108 k
Removing dependent packages:
 initial-setup-gui                           i686               0.3.62-1.fc29                   @anaconda              26 k
Removing unused dependencies:
 NetworkManager-team                         i686               1:1.12.4-2.fc29                 @updates               45 k
 augeas-libs                                 i686               1.10.1-3.fc29                   @anaconda             1.2 M
 bcache-tools                                i686               1.0.8-14.fc29                   @anaconda             105 k
 blivet-data                                 noarch             1:3.1.1-2.fc29                  @anaconda             361 k
 blivet-gui-runtime                          noarch             2.1.9-1.fc29                    @anaconda             1.0 M
 cpp                                         i686               8.2.1-5.fc29                    @updates               26 M
 createrepo_c                                i686               0.11.1-1.fc29                   @anaconda             163 k
 createrepo_c-libs                           i686               0.11.1-1.fc29                   @anaconda             260 k
 daxctl-libs                                 i686               63-1.fc29                       @anaconda              62 k
 drpm                                        i686               0.3.0-14.fc29                   @anaconda             164 k
 enchant                                     i686               1:1.6.0-21.fc29                 @anaconda             145 k
 fros                                        noarch             1.1-17.fc29                     @anaconda              42 k
 gcc                                         i686               8.2.1-5.fc29                    @updates               52 M
 gcc-gdb-plugin                              i686               8.2.1-5.fc29                    @updates              368 k
 gdb                                         i686               8.2-3.fc29                      @anaconda             355 k
 gdb-headless                                i686               8.2-3.fc29                      @anaconda              11 M
 geoclue2                                    i686               2.4.13-1.fc29                   @updates              462 k
 glade-libs                                  i686               3.22.1-3.fc29                   @anaconda             2.2 M
 glibc-devel                                 i686               2.28-17.fc29                    @updates              1.1 M
 glibc-headers                               i686               2.28-17.fc29                    @updates              1.9 M
 harfbuzz-icu                                i686               1.8.7-1.fc29                    @anaconda              15 k
 hyphen                                      i686               2.8.8-10.fc29                   @anaconda              48 k
 initial-setup                               i686               0.3.62-1.fc29                   @anaconda             193 k
 isl                                         i686               0.16.1-7.fc29                   @anaconda             3.6 M
 isomd5sum                                   i686               1:1.2.3-3.fc29                  @anaconda              69 k
 js-jquery                                   noarch             3.2.1-4.fc29                    @anaconda             508 k
 kernel-headers                              i686               4.18.17-300.fc29                @updates              4.5 M
 kexec-tools                                 i686               2.0.17-10.fc29                  @anaconda             1.2 M
 keybinder3                                  i686               0.3.2-5.fc29                    @anaconda              23 k
 langtable                                   noarch             0.0.39-1.fc29                   @updates              124 k
 langtable-data                              noarch             0.0.39-1.fc29                   @updates              715 k
 libasan                                     i686               8.2.1-5.fc29                    @updates              1.5 M
 libatomic                                   i686               8.2.1-5.fc29                    @updates               30 k
 libbabeltrace                               i686               1.5.6-1.fc29                    @anaconda             631 k
 libblockdev-btrfs                           i686               2.20-2.fc29                     @anaconda              31 k
 libblockdev-dm                              i686               2.20-2.fc29                     @anaconda              31 k
 libblockdev-kbd                             i686               2.20-2.fc29                     @anaconda              47 k
 libblockdev-lvm                             i686               2.20-2.fc29                     @anaconda              55 k
 libblockdev-mpath                           i686               2.20-2.fc29                     @anaconda              19 k
 libblockdev-nvdimm                          i686               2.20-2.fc29                     @anaconda              31 k
 libblockdev-plugins-all                     i686               2.20-2.fc29                     @anaconda               0  
 libblockdev-vdo                             i686               2.20-2.fc29                     @anaconda              35 k
 libgnomekbd                                 i686               3.26.0-6.fc29                   @anaconda             628 k
 libipt                                      i686               2.0-1.fc29                      @anaconda             144 k
 libmpc                                      i686               1.1.0-2.fc29                    @anaconda             168 k
 libmpx                                      i686               8.2.1-5.fc29                    @updates               40 k
 libreport                                   i686               2.9.6-1.fc29                    @anaconda             2.4 M
 libreport-anaconda                          i686               2.9.6-1.fc29                    @anaconda              18 k
 libreport-cli                               i686               2.9.6-1.fc29                    @anaconda              37 k
 libreport-gtk                               i686               2.9.6-1.fc29                    @anaconda             253 k
 libreport-plugin-bugzilla                   i686               2.9.6-1.fc29                    @anaconda             157 k
 libreport-plugin-reportuploader             i686               2.9.6-1.fc29                    @anaconda              88 k
 libreport-web                               i686               2.9.6-1.fc29                    @anaconda              55 k
 libtar                                      i686               1.2.20-16.fc29                  @updates               90 k
 libtimezonemap                              i686               0.4.5.1-4.fc29                  @anaconda             6.7 M
 libubsan                                    i686               8.2.1-5.fc29                    @updates              369 k
 libxcrypt-devel                             i686               4.2.3-1.fc29                    @updates               27 k
 libxklavier                                 i686               5.4-12.fc29                     @anaconda             167 k
 lz4                                         i686               1.8.2-2.fc29                    @anaconda             209 k
 ndctl                                       i686               63-1.fc29                       @anaconda             269 k
 ndctl-libs                                  i686               63-1.fc29                       @anaconda             221 k
 python-systemd-doc                          i686               234-7.fc29                      @anaconda             771 k
 python3-blivet                              noarch             1:3.1.1-2.fc29                  @anaconda             3.1 M
 python3-blockdev                            i686               2.20-2.fc29                     @anaconda              80 k
 python3-bytesize                            i686               1.4-1.fc29                      @anaconda              21 k
 python3-coverage                            i686               4.5.1-3.fc29                    @anaconda             940 k
 python3-kickstart                           noarch             3.16-1.fc29                     @anaconda             2.3 M
 python3-langtable                           noarch             0.0.39-1.fc29                   @updates              125 k
 python3-libreport                           i686               2.9.6-1.fc29                    @anaconda             114 k
 python3-meh                                 noarch             0.47-1.fc29                     @anaconda             280 k
 python3-meh-gui                             noarch             0.47-1.fc29                     @anaconda              24 k
 python3-ntplib                              noarch             0.3.3-12.fc29                   @anaconda              28 k
 python3-ordered-set                         noarch             2.0.2-7.fc29                    @anaconda              15 k
 python3-pid                                 noarch             2.1.1-9.fc29                    @anaconda              33 k
 python3-productmd                           noarch             1.17-1.fc29                     @anaconda             244 k
 python3-pwquality                           i686               1.4.0-10.fc29                   @anaconda              19 k
 python3-pydbus                              noarch             0.6.0-7.fc29                    @anaconda             122 k
 python3-pyparted                            i686               1:3.11.0-17.fc29                @anaconda             355 k
 python3-pytz                                noarch             2018.5-1.fc29                   @anaconda             173 k
 python3-pyudev                              noarch             0.21.0-8.fc29                   @anaconda             315 k
 python3-requests-file                       noarch             1.4.3-8.fc29                    @anaconda             9.4 k
 python3-requests-ftp                        noarch             0.3.1-13.fc29                   @anaconda              37 k
 python3-simpleline                          noarch             1.3-5.fc29                      @anaconda             436 k
 python3-systemd                             i686               234-7.fc29                      @anaconda             261 k
 satyr                                       i686               0.27-1.fc29                     @anaconda             332 k
 snappy                                      i686               1.1.7-6.fc29                    @anaconda              59 k
 tigervnc-license                            noarch             1.9.0-3.fc29                    @anaconda              18 k
 tigervnc-server-minimal                     i686               1.9.0-3.fc29                    @anaconda             3.1 M
 tmux                                        i686               2.8-1.fc29                      @updates              812 k
 udisks2-iscsi                               i686               2.8.1-1.fc29                    @anaconda             181 k
 usermode                                    i686               1.112-3.fc29                    @anaconda             835 k
 web-assets-filesystem                       noarch             5-8.fc29                        @anaconda               0  
 webkit2gtk3                                 i686               2.22.3-1.fc29                   @updates               51 M
 webkit2gtk3-jsc                             i686               2.22.3-1.fc29                   @updates               16 M
 webkit2gtk3-plugin-process-gtk2             i686               2.22.3-1.fc29                   @updates               47 M
 woff2                                       i686               1.0.2-4.fc29                    @anaconda             150 k
 xmlrpc-c                                    i686               1.51.0-6.fc29                   @anaconda             647 k
 xmlrpc-c-client                             i686               1.51.0-6.fc29                   @anaconda              61 k
 yelp                                        i686               2:3.30.0-1.fc29                 @anaconda             2.2 M
 yelp-libs                                   i686               2:3.30.0-1.fc29                 @anaconda             362 k
 yelp-xsl                                    noarch             3.30.1-1.fc29                   @anaconda             1.3 M

Transaction Summary
============================================================================================================================
Remove  109 Packages

Freed space: 272 M
Is this ok [y/N]: 


Fedora 29 LXDE Spin

Comment 13 Jiri Konecny 2018-11-14 09:41:56 UTC
There are two possible fixes for this. We can mark this installed in Anaconda when using bcache during the installation, however, that wouldn't be as easy as it sounds thanks to the payload mixing. It will require a bigger change and we don't have resources on that now.

The other solution is to install this explicitly in the kickstart used to create the Live media. That would make it marked as installed so it wouldn't be removed as Anaconda dependency. 
The bonus of this solution is that it should be really easy to implement.
The drawback is that it will be installed all the time not only when user needs it. Personally don't think this is a drawback because you can use that later and everything would be prepared.

Which option do you prefer? Anyone interested in this topic can answer.

Comment 14 m3more 2018-11-16 02:11:54 UTC
(In reply to Jiri Konecny from comment #13)
> There are two possible fixes for this. We can mark this installed in
> Anaconda when using bcache during the installation, however, that wouldn't
> be as easy as it sounds thanks to the payload mixing. It will require a
> bigger change and we don't have resources on that now.
> 
> The other solution is to install this explicitly in the kickstart used to
> create the Live media. That would make it marked as installed so it wouldn't
> be removed as Anaconda dependency. 
> The bonus of this solution is that it should be really easy to implement.
> The drawback is that it will be installed all the time not only when user
> needs it. Personally don't think this is a drawback because you can use that
> later and everything would be prepared.
> 
> Which option do you prefer? Anyone interested in this topic can answer.


Sad but better than nothing. In any case, this is not yet critical. Just strange and probably forgotten.

Comment 15 Ben Cotton 2019-05-02 19:16:55 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-02 20:18:18 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-05-28 23:18:32 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 Rolf Fokkens 2019-10-31 20:18:51 UTC
Tested this on a fresh F30 install, the issue seems to be solved.

Comment 19 paulo.c.magno 2020-02-12 06:31:24 UTC
Just encountered this bug on fresh Fedora 31 install:

[myuser@localhost ~]$ sudo dnf remove anaconda*
Dependencies resolved.
================================================================================
 Package                   Arch   Version                       Repo       Size
================================================================================
Removing:
 anaconda                  x86_64 31.22.6-2.fc31                @anaconda   0  
 anaconda-core             x86_64 31.22.6-2.fc31                @anaconda  10 M
 anaconda-gui              x86_64 31.22.6-2.fc31                @anaconda 2.3 M
 anaconda-install-env-deps x86_64 31.22.6-2.fc31                @anaconda   0  
 anaconda-live             x86_64 31.22.6-2.fc31                @anaconda  29 k
 anaconda-tui              x86_64 31.22.6-2.fc31                @anaconda 379 k
 anaconda-user-help        noarch 26.1-10.fc31                  @anaconda 574 k
 anaconda-widgets          x86_64 31.22.6-2.fc31                @anaconda 101 k
Removing dependent packages:
 kdump-anaconda-addon      noarch 005-5.20190103gitb16ea2c.fc31 @anaconda 134 k
Removing unused dependencies:
 NetworkManager-team       x86_64 1:1.20.10-1.fc31              @updates   48 k
 bcache-tools              x86_64 1.0.8-16.fc31                 @anaconda 106 k
 binutils                  x86_64 2.32-31.fc31                  @updates   25 M
 binutils-gold             x86_64 2.32-31.fc31                  @updates  2.4 M
 blivet-data               noarch 1:3.1.7-1.fc31                @updates  370 k
 blivet-gui-runtime        noarch 2.1.12-1.fc31                 @updates  1.1 M
 cpp                       x86_64 9.2.1-1.fc31                  @anaconda  27 M
 createrepo_c              x86_64 0.15.5-1.fc31                 @updates  198 k
 createrepo_c-libs         x86_64 0.15.5-1.fc31                 @updates  258 k
 daxctl-libs               x86_64 67-1.fc31                     @updates   94 k
 dbus-daemon               x86_64 1:1.12.16-3.fc31              @anaconda 582 k
 drpm                      x86_64 0.4.1-1.fc31                  @anaconda 142 k
 gcc                       x86_64 9.2.1-1.fc31                  @anaconda  57 M
 gcc-gdb-plugin            x86_64 9.2.1-1.fc31                  @anaconda 338 k
 gdb                       x86_64 8.3.50.20190824-28.fc31       @updates  375 k
 isl                       x86_64 0.16.1-9.fc31                 @anaconda 3.1 M
 isomd5sum                 x86_64 1:1.2.3-6.fc31                @anaconda  69 k
 keybinder3                x86_64 0.3.2-7.fc31                  @anaconda  32 k
 libblockdev-btrfs         x86_64 2.23-1.fc31                   @anaconda  28 k
 libblockdev-dm            x86_64 2.23-1.fc31                   @anaconda  24 k
 libblockdev-kbd           x86_64 2.23-1.fc31                   @anaconda  40 k
 libblockdev-lvm           x86_64 2.23-1.fc31                   @anaconda  52 k
 libblockdev-mpath         x86_64 2.23-1.fc31                   @anaconda  24 k
 libblockdev-nvdimm        x86_64 2.23-1.fc31                   @anaconda  24 k
 libblockdev-plugins-all   x86_64 2.23-1.fc31                   @anaconda   0  
 libblockdev-vdo           x86_64 2.23-1.fc31                   @anaconda  36 k
 libreport-anaconda        x86_64 2.11.3-1.fc31                 @updates   18 k
 libtimezonemap            x86_64 0.4.5.1-6.fc31                @anaconda 6.7 M
 lxpolkit                  x86_64 0.5.4-1.fc31.1                @anaconda  39 k
 ndctl                     x86_64 67-1.fc31                     @updates  363 k
 ndctl-libs                x86_64 67-1.fc31                     @updates  350 k
 python3-blivet            noarch 1:3.1.7-1.fc31                @updates  3.2 M
 python3-blockdev          x86_64 2.23-1.fc31                   @anaconda  80 k
 python3-bytesize          x86_64 2.2-1.fc31                    @updates   40 k
 python3-kickstart         noarch 3.21-1.fc31                   @anaconda 2.3 M
 python3-langtable         noarch 0.0.51-1.fc31                 @updates  1.3 M
 python3-meh               noarch 0.48-1.fc31                   @anaconda 284 k
 python3-meh-gui           noarch 0.48-1.fc31                   @anaconda  24 k
 python3-ntplib            noarch 0.3.3-15.fc31                 @anaconda  28 k
 python3-ordered-set       noarch 3.1-2.fc31                    @anaconda  42 k
 python3-pid               noarch 2.2.3-3.fc31                  @anaconda  35 k
 python3-productmd         noarch 1.24-1.fc31                   @updates  255 k
 python3-pwquality         x86_64 1.4.2-1.fc31                  @updates   25 k
 python3-pydbus            noarch 0.6.0-9.fc31                  @anaconda 122 k
 python3-pyparted          x86_64 1:3.11.2-2.fc31               @anaconda 364 k
 python3-pytz              noarch 2019.2-1.fc31                 @anaconda 174 k
 python3-pyudev            noarch 0.21.0-11.fc31                @anaconda 315 k
 python3-requests-file     noarch 1.4.3-11.fc31                 @anaconda 9.4 k
 python3-requests-ftp      noarch 0.3.1-15.fc31                 @anaconda  37 k
 python3-simpleline        noarch 1.6-1.fc31                    @anaconda 440 k
 tigervnc-license          noarch 1.10.1-2.fc31                 @updates   18 k
 tigervnc-server-minimal   x86_64 1.10.1-2.fc31                 @updates  2.7 M
 tmux                      x86_64 2.9a-3.fc31                   @anaconda 800 k
 udisks2-iscsi             x86_64 2.8.4-3.fc31                  @anaconda 194 k
 unique                    x86_64 1.1.6-23.fc31                 @anaconda 171 k
 usermode                  x86_64 1.112-5.fc31                  @anaconda 838 k

Transaction Summary
================================================================================
Remove  65 Packages

Freed space: 153 M
Is this ok [y/N]:


Note You need to log in before you can comment on or make changes to this bug.